## org.apache.lucene.document
Class MapFieldSelector

    java.lang.Object
      org.apache.lucene.document.MapFieldSelector

All Implemented Interfaces:
  java.io.Serializable, FieldSelector

    public class MapFieldSelector

extends java.lang.Object
implements FieldSelector

A `FieldSelector` based on a Map of field names to `FieldSelectorResult`s

See Also:
  Serialized Form

Constructor Summary
`MapFieldSelector(java.util.List fields)` Create a a MapFieldSelector
`MapFieldSelector(java.util.Map fieldSelections)` Create a a MapFieldSelector
`MapFieldSelector(java.lang.String[] fields)` Create a a MapFieldSelector

Method Summary
`FieldSelectorResult` `accept(java.lang.String field)` Load field according to its associated value in fieldSelections

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapFieldSelector

    public MapFieldSelector(java.util.Map fieldSelections)

  Create a a MapFieldSelector

  Parameters:
    `fieldSelections` - maps from field names (String) to `FieldSelectorResult`s

### MapFieldSelector

    public MapFieldSelector(java.util.List fields)

  Create a a MapFieldSelector

  Parameters:
    `fields` - fields to LOAD. List of Strings. All other fields are NO_LOAD.

### MapFieldSelector

    public MapFieldSelector(java.lang.String[] fields)

  Create a a MapFieldSelector

  Parameters:
    `fields` - fields to LOAD. All other fields are NO_LOAD.

Method Detail

### accept

    public FieldSelectorResult accept(java.lang.String field)

  Load field according to its associated value in fieldSelections

  Specified by:
    `accept` in interface `FieldSelector`
  Parameters:
    `field` - a field name
  Returns:
    the fieldSelections value that field maps to or NO_LOAD if none.

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.